# Refunds Zuora allows you to issue and track refunds on payments. Similar to external payments, users can enter external refunds to track refunds that have been performed outside of Zuora Payments (for example, by issuing a check). In addition, you can make electronic refunds using our supported payment gateways, which will automatically refund money to the customer. ## List refunds - [GET /v1/refunds](https://developer.zuora.com/v1-api-reference/api/refunds/get_refunds.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all refunds. Two types of refunds are available, electronic refunds and external refunds. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/refunds?status=Processed - /v1/refunds?amount=4&status=Processed - /v1/refunds?status=Processed&type=External&sort=+number ## Update a refund - [PUT /v1/refunds/{refundKey}](https://developer.zuora.com/v1-api-reference/api/refunds/put_updaterefund.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Updates the basic and finance information about a refund. ## Delete a refund - [DELETE /v1/refunds/{refundKey}](https://developer.zuora.com/v1-api-reference/api/refunds/delete_refund.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Deletes a refund. You can delete a refund with the Canceled status. Note that refunds applied to credit balance cannot be deleted. ## Retrieve a refund - [GET /v1/refunds/{refundKey}](https://developer.zuora.com/v1-api-reference/api/refunds/get_refund.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about a specific refund. ## Cancel a refund - [PUT /v1/refunds/{refundKey}/cancel](https://developer.zuora.com/v1-api-reference/api/refunds/put_cancelrefund.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Cancels a refund. If you have the Invoice Settlement feature enabled, refunds applied to credit balance cannot be cancelled. ## List all parts of a refund - [GET /v1/refunds/{refundKey}/parts](https://developer.zuora.com/v1-api-reference/api/refunds/get_refundparts.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all parts of a refund. ## Retrieve a refund part - [GET /v1/refunds/{refundKey}/parts/{refundpartid}](https://developer.zuora.com/v1-api-reference/api/refunds/get_refundpart.md): Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about a specific refund part. ## List all refund part items - [GET /v1/refunds/{refundKey}/parts/{refundpartid}/item-parts](https://developer.zuora.com/v1-api-reference/api/refunds/get_refunditemparts.md): Note: This operation is only available if you have the Invoice Item Settlement feature enabled. Invoice Item Settlement must be used together with other Invoice Settlement features (Unapplied Payments, and Credit and Debit memos). If you wish to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all items of a refund part. A refund part item is a single line item in a refund part. A refund part can consist of several different types of items. ## Retrieve a refund part item - [GET /v1/refunds/{refundKey}/parts/{refundpartid}/item-parts/{itempartid}](https://developer.zuora.com/v1-api-reference/api/refunds/get_refunditempart.md): Note: This operation is only available if you have the Invoice Item Settlement feature enabled. Invoice Item Settlement must be used together with other Invoice Settlement features (Unapplied Payments, and Credit and Debit memos). If you wish to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about a specific refund part item. A refund part item is a single line item in a refund part. A refund part can consist of several different types of items.